MacroMethods

## Class MacroMethods

- java.lang.Object
- - MacroMethods

-     public class MacroMethods
      extends java.lang.Object

  Contain macro to access to the pdf
  Author:
    JPR

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.awt.Robot` | `robot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacroMethods()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `goToPageNumber(java.lang.String pageNumber)` change to the page number passed in parameter
    `void` | `openPdf(Job job)` open the pdf corresponding to the job in parameter
    `void` | `screenCapture()` save a capture of the screen
    `void` | `sendEnter()` send the key enter
    `void` | `sendFullScreen()` put the PDF in full screen
    `void` | `sendGotoPage()` go to the next page
    `void` | `sendKeys(boolean shift, boolean ctrl, java.lang.String key)` send a key to PDF
    `void` | `sendPaste()` to paste
    `void` | `sendString(java.lang.String string)` used to send the number of a page
    `void` | `waitLowProcessor()` wait while the page is not loaded

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### robot

          java.awt.Robot robot

  - ### Constructor Detail

    - #### MacroMethods

          public MacroMethods()
                       throws java.awt.AWTException

      Constructor
      Throws:
        `java.awt.AWTException`

  - ### Method Detail

    - #### sendKeys

          public void sendKeys(boolean shift,
                               boolean ctrl,
                               java.lang.String key)

      send a key to PDF
      Parameters:
        `shift` - true to send shift is pressed
        `ctrl` - true to send control is pressed
        `key` - the key to send

    - #### sendFullScreen

          public void sendFullScreen()

      put the PDF in full screen

    - #### sendGotoPage

          public void sendGotoPage()

      go to the next page

    - #### sendPaste

          public void sendPaste()

      to paste

    - #### screenCapture

          public void screenCapture()
                             throws java.awt.AWTException,
                                    java.io.IOException,
                                    java.lang.InterruptedException

      save a capture of the screen
      Throws:
        `java.awt.AWTException`
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### sendString

          public void sendString(java.lang.String string)

      used to send the number of a page
      Parameters:
        `string` - number of the page

    - #### sendEnter

          public void sendEnter()

      send the key enter

    - #### goToPageNumber

          public void goToPageNumber(java.lang.String pageNumber)
                              throws java.awt.AWTException

      change to the page number passed in parameter
      Parameters:
        `pageNumber` -
      Throws:
        `java.awt.AWTException`

    - #### openPdf

          public void openPdf(Job job)

      open the pdf corresponding to the job in parameter
      Parameters:
        `job` -

    - #### waitLowProcessor

          public void waitLowProcessor()

      wait while the page is not loaded